
CREATE TABLE `wp_categories` (
  `cat_ID` bigint(20) NOT NULL auto_increment,
  `cat_name` varchar(55) NOT NULL default '',
`category_nicename` varchar(200) NOT NULL default '',
  `category_description` longtext NOT NULL,
  `category_parent` bigint(20) NOT NULL default '0',
  `category_count` bigint(20) NOT NULL default '0',
  `link_count` bigint(20) NOT NULL default '0',
  `posts_private` tinyint(1) NOT NULL default '0',
  `links_private` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`cat_ID`),
  KEY `category_nicename` (`category_nicename`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=12 ;



INSERT INTO `wp_categories` (`cat_ID`, `cat_name`, `category_nicename`, `category_description`, `category_parent`, `category_count`, `link_count`, `posts_private`, `links_private`) VALUES 
(7, 'Non class&eacute;', 'non-classe', '', 0, 1, 0, 0, 0),
(11, 'Personnels administratifs', 'personnels-administratifs', '', 0, 1, 0, 0, 0),
(9, 'El&egrave;ves et Parents', 'eleves-et-parents', '', 0, 1, 0, 0, 0),
(10, 'Enseignants', 'enseignants', '', 0, 1, 0, 0, 0);


CREATE TABLE `wp_comments` (
  `comment_ID` bigint(20) unsigned NOT NULL auto_increment,
  `comment_post_ID` int(11) NOT NULL default '0',
  `comment_author` tinytext NOT NULL,
  `comment_author_email` varchar(100) NOT NULL default '',
  `comment_author_url` varchar(200) NOT NULL default '',
  `comment_author_IP` varchar(100) NOT NULL default '',
  `comment_date` datetime NOT NULL default '0000-00-00 00:00:00',
  `comment_date_gmt` datetime NOT NULL default '0000-00-00 00:00:00',
  `comment_content` text NOT NULL,
  `comment_karma` int(11) NOT NULL default '0',
  `comment_approved` enum('0','1','spam') NOT NULL default '1',
  `comment_agent` varchar(255) NOT NULL default '',
  `comment_type` varchar(20) NOT NULL default '',
  `comment_parent` bigint(20) NOT NULL default '0',
  `user_id` bigint(20) NOT NULL default '0',
  PRIMARY KEY  (`comment_ID`),
  KEY `comment_approved` (`comment_approved`),
  KEY `comment_post_ID` (`comment_post_ID`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=3 ;


INSERT INTO `wp_comments` (`comment_ID`, `comment_post_ID`, `comment_author`, `comment_author_email`, `comment_author_url`, `comment_author_IP`, `comment_date`, `comment_date_gmt`, `comment_content`, `comment_karma`, `comment_approved`, `comment_agent`, `comment_type`, `comment_parent`, `user_id`) VALUES 
(2, 1, 'Monsieur WordPress', '', 'http://wordpress.org/', '', '2007-07-19 19:27:49', '2007-07-19 17:27:49', 'Bonjour, ceci est un commentaire.<br /> Pour effacer un commentaire, connectez-vous, et affichez les commentaires de cet article. Vous trouverez alors l&#8217;option permettant de le modifier ou l''effacer.', 0, '1', '', '', 0, 0);


CREATE TABLE `wp_link2cat` (
  `rel_id` bigint(20) NOT NULL auto_increment,
  `link_id` bigint(20) NOT NULL default '0',
  `category_id` bigint(20) NOT NULL default '0',
  PRIMARY KEY  (`rel_id`),
  KEY `link_id` (`link_id`,`category_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=15 ;


INSERT INTO `wp_link2cat` (`rel_id`, `link_id`, `category_id`) VALUES 
(8, 1, 2),
(9, 2, 2),
(10, 3, 2),
(11, 4, 2),
(12, 5, 2),
(13, 6, 2),
(14, 7, 2);


CREATE TABLE `wp_links` (
  `link_id` bigint(20) NOT NULL auto_increment,
  `link_url` varchar(255) NOT NULL default '',
  `link_name` varchar(255) NOT NULL default '',
  `link_image` varchar(255) NOT NULL default '',
  `link_target` varchar(25) NOT NULL default '',
  `link_category` bigint(20) NOT NULL default '0',
  `link_description` varchar(255) NOT NULL default '',
  `link_visible` enum('Y','N') NOT NULL default 'Y',
  `link_owner` int(11) NOT NULL default '1',
  `link_rating` int(11) NOT NULL default '0',
  `link_updated` datetime NOT NULL default '0000-00-00 00:00:00',
  `link_rel` varchar(255) NOT NULL default '',
  `link_notes` mediumtext NOT NULL,
  `link_rss` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`link_id`),
  KEY `link_category` (`link_category`),
  KEY `link_visible` (`link_visible`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=15 ;




CREATE TABLE `wp_options` (
  `option_id` bigint(20) NOT NULL auto_increment,
  `blog_id` int(11) NOT NULL default '0',
  `option_name` varchar(64) NOT NULL default '',
  `option_can_override` enum('Y','N') NOT NULL default 'Y',
  `option_type` int(11) NOT NULL default '1',
  `option_value` longtext NOT NULL,
  `option_width` int(11) NOT NULL default '20',
  `option_height` int(11) NOT NULL default '8',
  `option_description` tinytext NOT NULL,
  `option_admin_level` int(11) NOT NULL default '1',
  `autoload` enum('yes','no') NOT NULL default 'yes',
  PRIMARY KEY  (`option_id`,`blog_id`,`option_name`),
  KEY `option_name` (`option_name`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=142 ;


INSERT INTO `wp_options` (`option_id`, `blog_id`, `option_name`, `option_can_override`, `option_type`, `option_value`, `option_width`, `option_height`, `option_description`, `option_admin_level`, `autoload`) VALUES 
(73, 0, 'siteurl', 'Y', 1, 'https://NOM_DOMAINE/wordpress', 20, 8, 'Adresse Web de WordPress', 1, 'yes'),
(74, 0, 'blogname', 'Y', 1, 'NOM_ETAB', 20, 8, 'Titre du blog', 1, 'yes'),
(75, 0, 'blogdescription', 'Y', 1, 'Le blog du chef d\'Etablissement', 20, 8, 'Courte description', 1, 'yes'),
(138, 0, 'wp_user_roles', 'Y', 1, 'a:5:{s:13:"administrator";a:2:{s:4:"name";s:14:"Administrateur";s:12:"capabilities";a:47:{s:13:"switch_themes";b:1;s:11:"edit_themes";b:1;s:16:"activate_plugins";b:1;s:12:"edit_plugins";b:1;s:10:"edit_users";b:1;s:10:"edit_files";b:1;s:14:"manage_options";b:1;s:17:"moderate_comments";b:1;s:17:"manage_categories";b:1;s:12:"manage_links";b:1;s:12:"upload_files";b:1;s:6:"import";b:1;s:15:"unfiltered_html";b:1;s:10:"edit_posts";b:1;s:17:"edit_others_posts";b:1;s:20:"edit_published_posts";b:1;s:13:"publish_posts";b:1;s:10:"edit_pages";b:1;s:4:"read";b:1;s:8:"level_10";b:1;s:7:"level_9";b:1;s:7:"level_8";b:1;s:7:"level_7";b:1;s:7:"level_6";b:1;s:7:"level_5";b:1;s:7:"level_4";b:1;s:7:"level_3";b:1;s:7:"level_2";b:1;s:7:"level_1";b:1;s:7:"level_0";b:1;s:17:"edit_others_pages";b:1;s:20:"edit_published_pages";b:1;s:13:"publish_pages";b:1;s:12:"delete_pages";b:1;s:19:"delete_others_pages";b:1;s:22:"delete_published_pages";b:1;s:12:"delete_posts";b:1;s:19:"delete_others_posts";b:1;s:22:"delete_published_posts";b:1;s:20:"delete_private_posts";b:1;s:18:"edit_private_posts";b:1;s:18:"read_private_posts";b:1;s:20:"delete_private_pages";b:1;s:18:"edit_private_pages";b:1;s:18:"read_private_pages";b:1;s:12:"delete_users";b:1;s:12:"create_users";b:1;}}s:6:"editor";a:2:{s:4:"name";s:7:"Editeur";s:12:"capabilities";a:34:{s:17:"moderate_comments";b:1;s:17:"manage_categories";b:1;s:12:"manage_links";b:1;s:12:"upload_files";b:1;s:15:"unfiltered_html";b:1;s:10:"edit_posts";b:1;s:17:"edit_others_posts";b:1;s:20:"edit_published_posts";b:1;s:13:"publish_posts";b:1;s:10:"edit_pages";b:1;s:4:"read";b:1;s:7:"level_7";b:1;s:7:"level_6";b:1;s:7:"level_5";b:1;s:7:"level_4";b:1;s:7:"level_3";b:1;s:7:"level_2";b:1;s:7:"level_1";b:1;s:7:"level_0";b:1;s:17:"edit_others_pages";b:1;s:20:"edit_published_pages";b:1;s:13:"publish_pages";b:1;s:12:"delete_pages";b:1;s:19:"delete_others_pages";b:1;s:22:"delete_published_pages";b:1;s:12:"delete_posts";b:1;s:19:"delete_others_posts";b:1;s:22:"delete_published_posts";b:1;s:20:"delete_private_posts";b:1;s:18:"edit_private_posts";b:1;s:18:"read_private_posts";b:1;s:20:"delete_private_pages";b:1;s:18:"edit_private_pages";b:1;s:18:"read_private_pages";b:1;}}s:6:"author";a:2:{s:4:"name";s:6:"Auteur";s:12:"capabilities";a:10:{s:12:"upload_files";b:1;s:10:"edit_posts";b:1;s:20:"edit_published_posts";b:1;s:13:"publish_posts";b:1;s:4:"read";b:1;s:7:"level_2";b:1;s:7:"level_1";b:1;s:7:"level_0";b:1;s:12:"delete_posts";b:1;s:22:"delete_published_posts";b:1;}}s:11:"contributor";a:2:{s:4:"name";s:12:"Contributeur";s:12:"capabilities";a:5:{s:10:"edit_posts";b:1;s:4:"read";b:1;s:7:"level_1";b:1;s:7:"level_0";b:1;s:12:"delete_posts";b:1;}}s:10:"subscriber";a:2:{s:4:"name";s:13:"Abonn&eacute;";s:12:"capabilities";a:2:{s:4:"read";b:1;s:7:"level_0";b:1;}}}', 20, 8, '', 1, 'yes'),
(77, 0, 'users_can_register', 'Y', 1, '', 20, 8, '', 1, 'yes'),
(78, 0, 'admin_email', 'Y', 1, 'ce.RNE_ETAB@ac-creteil.fr', 20, 8, '', 1, 'yes'),
(79, 0, 'start_of_week', 'Y', 1, '1', 20, 8, '', 1, 'yes'),
(80, 0, 'use_balanceTags', 'Y', 1, '0', 20, 8, '', 1, 'yes'),
(81, 0, 'use_smilies', 'Y', 1, '1', 20, 8, '', 1, 'yes'),
(82, 0, 'require_name_email', 'Y', 1, '1', 20, 8, '', 1, 'yes'),
(83, 0, 'comments_notify', 'Y', 1, '1', 20, 8, '', 1, 'yes'),
(84, 0, 'posts_per_rss', 'Y', 1, '10', 20, 8, '', 1, 'yes'),
(85, 0, 'rss_excerpt_length', 'Y', 1, '50', 20, 8, '', 1, 'yes'),
(86, 0, 'rss_use_excerpt', 'Y', 1, '0', 20, 8, '', 1, 'yes'),
(87, 0, 'mailserver_url', 'Y', 1, 'mail.example.com', 20, 8, '', 1, 'yes'),
(88, 0, 'mailserver_login', 'Y', 1, 'login@example.com', 20, 8, '', 1, 'yes'),
(89, 0, 'mailserver_pass', 'Y', 1, 'password', 20, 8, '', 1, 'yes'),
(90, 0, 'mailserver_port', 'Y', 1, '110', 20, 8, '', 1, 'yes'),
(91, 0, 'default_category', 'Y', 1, '1', 20, 8, '', 1, 'yes'),
(92, 0, 'default_comment_status', 'Y', 1, 'open', 20, 8, '', 1, 'yes'),
(93, 0, 'default_ping_status', 'Y', 1, 'open', 20, 8, '', 1, 'yes'),
(94, 0, 'default_pingback_flag', 'Y', 1, '1', 20, 8, '', 1, 'yes'),
(95, 0, 'default_post_edit_rows', 'Y', 1, '10', 20, 8, '', 1, 'yes'),
(96, 0, 'posts_per_page', 'Y', 1, '10', 20, 8, '', 1, 'yes'),
(97, 0, 'what_to_show', 'Y', 1, 'posts', 20, 8, '', 1, 'yes'),
(98, 0, 'date_format', 'Y', 1, 'j F Y', 20, 8, '', 1, 'yes'),
(99, 0, 'time_format', 'Y', 1, 'G:i', 20, 8, '', 1, 'yes'),
(100, 0, 'links_updated_date_format', 'Y', 1, 'j F Y, G:i', 20, 8, '', 1, 'yes'),
(101, 0, 'links_recently_updated_prepend', 'Y', 1, '<em>', 20, 8, '', 1, 'yes'),
(102, 0, 'links_recently_updated_append', 'Y', 1, '</em>', 20, 8, '', 1, 'yes'),
(103, 0, 'links_recently_updated_time', 'Y', 1, '120', 20, 8, '', 1, 'yes'),
(104, 0, 'comment_moderation', 'Y', 1, '0', 20, 8, '', 1, 'yes'),
(105, 0, 'moderation_notify', 'Y', 1, '1', 20, 8, '', 1, 'yes'),
(106, 0, 'permalink_structure', 'Y', 1, '', 20, 8, '', 1, 'yes'),
(107, 0, 'gzipcompression', 'Y', 1, '', 20, 8, '', 1, 'yes'),
(108, 0, 'hack_file', 'Y', 1, '0', 20, 8, '', 1, 'yes'),
(109, 0, 'blog_charset', 'Y', 1, 'ISO8859-1', 20, 8, '', 1, 'yes'),
(110, 0, 'moderation_keys', 'Y', 1, '', 20, 8, '', 1, 'no'),
(111, 0, 'active_plugins', 'Y', 1, '', 20, 8, '', 1, 'yes'),
(112, 0, 'home', 'Y', 1, 'https://NOM_DOMAINE/wordpress', 20, 8, '', 1, 'yes'),
(113, 0, 'category_base', 'Y', 1, '', 20, 8, '', 1, 'yes'),
(114, 0, 'ping_sites', 'Y', 1, 'http://rpc.pingomatic.com/', 20, 8, '', 1, 'yes'),
(115, 0, 'advanced_edit', 'Y', 1, '0', 20, 8, '', 1, 'yes'),
(116, 0, 'comment_max_links', 'Y', 1, '2', 20, 8, '', 1, 'yes'),
(117, 0, 'gmt_offset', 'Y', 1, '2', 20, 8, '', 1, 'yes'),
(118, 0, 'default_email_category', 'Y', 1, '1', 20, 8, 'Les articles envoy&eacute;s par e-mail vont dans cette cat&eacute;gorie', 1, 'yes'),
(119, 0, 'recently_edited', 'Y', 1, '', 20, 8, '', 1, 'no'),
(120, 0, 'use_linksupdate', 'Y', 1, '0', 20, 8, '', 1, 'yes'),
(121, 0, 'template', 'Y', 1, 'classic', 20, 8, '', 1, 'yes'),
(122, 0, 'stylesheet', 'Y', 1, 'classic', 20, 8, '', 1, 'yes'),
(123, 0, 'comment_whitelist', 'Y', 1, '1', 20, 8, '', 1, 'yes'),
(139, 0, 'page_uris', 'Y', 1, 'a:1:{s:8:"a-propos";i:11;}', 20, 8, '', 1, 'yes'),
(125, 0, 'blacklist_keys', 'Y', 1, '', 20, 8, '', 1, 'no'),
(126, 0, 'comment_registration', 'Y', 1, '1', 20, 8, '', 1, 'yes'),
(127, 0, 'rss_language', 'Y', 1, 'en', 20, 8, '', 1, 'yes'),
(128, 0, 'html_type', 'Y', 1, 'text/html', 20, 8, '', 1, 'yes'),
(129, 0, 'use_trackback', 'Y', 1, '0', 20, 8, '', 1, 'yes'),
(130, 0, 'default_role', 'Y', 1, 'subscriber', 20, 8, '', 1, 'yes'),
(131, 0, 'db_version', 'Y', 1, '4773', 20, 8, '', 1, 'yes'),
(132, 0, 'uploads_use_yearmonth_folders', 'Y', 1, '1', 20, 8, '', 1, 'yes'),
(133, 0, 'upload_path', 'Y', 1, 'wp-content/uploads', 20, 8, '', 1, 'yes'),
(134, 0, 'secret', 'Y', 1, '805b08d6bc1092f0deda86d8af92e512', 20, 8, '', 1, 'yes'),
(135, 0, 'blog_public', 'Y', 1, '1', 20, 8, '', 1, 'yes'),
(136, 0, 'default_link_category', 'Y', 1, '2', 20, 8, '', 1, 'yes'),
(137, 0, 'show_on_front', 'Y', 1, 'posts', 20, 8, '', 1, 'yes'),
(140, 0, 'cron', 'Y', 1, 'a:1:{s:7:"version";i:2;}', 20, 8, '', 1, 'yes'),
(141, 0, 'doing_cron', 'Y', 1, '0', 20, 8, '', 1, 'yes');


CREATE TABLE `wp_post2cat` (
  `rel_id` bigint(20) NOT NULL auto_increment,
  `post_id` bigint(20) NOT NULL default '0',
  `category_id` bigint(20) NOT NULL default '0',
  PRIMARY KEY  (`rel_id`),
  KEY `post_id` (`post_id`,`category_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=17 ;



INSERT INTO `wp_post2cat` (`rel_id`, `post_id`, `category_id`) VALUES 
(1, 1, 1),
(13, 13, 9),
(14, 13, 10),
(15, 13, 11);


CREATE TABLE `wp_postmeta` (
  `meta_id` bigint(20) NOT NULL auto_increment,
  `post_id` bigint(20) NOT NULL default '0',
  `meta_key` varchar(255) default NULL,
  `meta_value` longtext,
  PRIMARY KEY  (`meta_id`),
  KEY `post_id` (`post_id`),
  KEY `meta_key` (`meta_key`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=24 ;


CREATE TABLE `wp_posts` (
  `ID` bigint(20) unsigned NOT NULL auto_increment,
  `post_author` bigint(20) NOT NULL default '0',
  `post_date` datetime NOT NULL default '0000-00-00 00:00:00',
  `post_date_gmt` datetime NOT NULL default '0000-00-00 00:00:00',
  `post_content` longtext NOT NULL,
  `post_title` text NOT NULL,
  `post_category` int(4) NOT NULL default '0',
  `post_excerpt` text NOT NULL,
  `post_status` enum('publish','draft','private','static','object','attachment','inherit','future') NOT NULL default 'publish',
  `comment_status` enum('open','closed','registered_only') NOT NULL default 'open',
  `ping_status` enum('open','closed') NOT NULL default 'open',
  `post_password` varchar(20) NOT NULL default '',
  `post_name` varchar(200) NOT NULL default '',
  `to_ping` text NOT NULL,
  `pinged` text NOT NULL,
  `post_modified` datetime NOT NULL default '0000-00-00 00:00:00',
  `post_modified_gmt` datetime NOT NULL default '0000-00-00 00:00:00',
  `post_content_filtered` text NOT NULL,
  `post_parent` bigint(20) NOT NULL default '0',
  `guid` varchar(255) NOT NULL default '',
  `menu_order` int(11) NOT NULL default '0',
  `post_type` varchar(20) NOT NULL default 'post',
  `post_mime_type` varchar(100) NOT NULL default '',
  `comment_count` bigint(20) NOT NULL default '0',
  PRIMARY KEY  (`ID`),
  KEY `post_name` (`post_name`),
  KEY `type_status_date` (`post_type`,`post_status`,`post_date`,`ID`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=15 ;

 

INSERT INTO `wp_posts` (`ID`, `post_author`, `post_date`, `post_date_gmt`, `post_content`, `post_title`, `post_category`, `post_excerpt`, `post_status`, `comment_status`, `ping_status`, `post_password`, `post_name`, `to_ping`, `pinged`, `post_modified`, `post_modified_gmt`, `post_content_filtered`, `post_parent`, `guid`, `menu_order`, `post_type`, `post_mime_type`, `comment_count`) VALUES 
(11, 2, '2007-07-19 19:27:49', '2007-07-19 17:27:49', 'Ceci est un exemple de page WordPress. Vous pouvez la modifier pour mettre ici des informations vous concernant ou concernant votre site afin que vos lecteurs en sachent un peu plus sur vous. Vous pouvez cr&eacute;er autant de pages ou sous-pages que vous voulez, et g&eacute;rer l&#8217;int&eacute;gralit&eacute; de votre contenu dans WordPress.', 'A propos', 0, '', 'publish', 'open', 'open', '', 'a-propos', '', '', '2007-07-19 19:27:49', '2007-07-19 17:27:49', '', 0, '', 0, 'page', '', 0),
(13, 2, '2007-07-19 20:24:16', '2007-07-19 18:24:16', 'Bienvenue sur le cartable en ligne de l''&eacute;tablissement ', 'Bienvenue', 0, '', 'publish', 'closed', 'closed', '', 'bienvenue', '', '', '2007-07-19 20:24:16', '2007-07-19 18:24:16', '', 0, 'wordpress/?p=13', 0, 'post', '', 0);


CREATE TABLE `wp_usermeta` (
  `umeta_id` bigint(20) NOT NULL auto_increment,
  `user_id` bigint(20) NOT NULL default '0',
  `meta_key` varchar(255) default NULL,
  `meta_value` longtext,
  PRIMARY KEY  (`umeta_id`),
  KEY `user_id` (`user_id`),
  KEY `meta_key` (`meta_key`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=10 ;


INSERT INTO `wp_usermeta` (`umeta_id`, `user_id`, `meta_key`, `meta_value`) VALUES 
(5, 2, 'nickname', 'Le chef d''&eacute;tablissement'),
(6, 2, 'rich_editing', 'false'),
(7, 2, 'wp_capabilities', 'a:1:{s:13:"administrator";b:1;}'),
(8, 2, 'wp_user_level', '10'),
(9, 2, 'wp_autosave_draft_ids', 'a:3:{i:-1184866426;i:12;i:-1184869393;i:13;i:-1184870407;i:14;}');


CREATE TABLE `wp_users` (
  `ID` bigint(20) unsigned NOT NULL auto_increment,
  `user_login` varchar(60) NOT NULL default '',
  `user_pass` varchar(64) NOT NULL default '',
  `user_nicename` varchar(50) NOT NULL default '',
  `user_email` varchar(100) NOT NULL default '',
  `user_url` varchar(100) NOT NULL default '',
  `user_registered` datetime NOT NULL default '0000-00-00 00:00:00',
  `user_activation_key` varchar(60) NOT NULL default '',
  `user_status` int(11) NOT NULL default '0',
  `display_name` varchar(250) NOT NULL default '',
  PRIMARY KEY  (`ID`),
  KEY `user_login_key` (`user_login`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=3 ;


INSERT INTO `wp_users` (`ID`, `user_login`, `user_pass`, `user_nicename`, `user_email`, `user_url`, `user_registered`, `user_activation_key`, `user_status`, `display_name`) VALUES 
(2, 'admin', '46dead4ece9586504379d7a6b9e1f630', 'admin', 'ce.RNE_ETAB2@ac-creteil.fr', 'http://', '2007-07-19 17:27:49', '', 0, 'admin');
